#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		commit		949e85b009f65bc48746f41563ff6e9a866a47a5
%global		shortcommit	%(c=%{commit}; echo ${c:0:7})
%global		sname	 	%(n=libsecp256k1; echo ${n:3:9})
#-----------------------------------------------------------------------------
Name		:	libsecp256k1
Version		:	20190220.949e85b
Release		:	14.4.0.0%{?dist}
Summary		:	Optimized C library for EC operations on curve secp256k1

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Boost Software License
URL		:	https://github.com/bitcoin-core/secp256k1

Source0		:	https://github.com/bitcoin-core/secp256k1/archive/%{commit}/%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description


#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{commit}

#-----------------------------------------------------------------------------
%build
./autogen.sh

./configure						\
        --prefix %{_prefix}				\
        --sysconfdir %{_sysconfdir}			\
        --includedir %{_includedir}			\
	--bindir %{_bindir}				\
	--libdir %{_libdir}				\
	--datadir %{_datadir}				\
	--libexecdir %{_libexecdir}			\
	--docdir %{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc README.md
%{_includedir}/%{sname}.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
